// Import Vue
import { createApp } from 'vue';

// Import Framework7
import Framework7 from 'framework7/lite-bundle';

// Import Framework7-Vue Plugin
import Framework7Vue, { registerComponents } from 'framework7-vue/bundle';

// Import Framework7 Styles
import 'framework7/css/bundle';

// Import Icons and App Custom Styles
import '../css/icons.css';
import '../css/app.less';
import '../auto/JSSDK'
import './flexable'
// Import App Component
import App from '../components/app.vue';

// Init Framework7-Vue Plugin
Framework7.use(Framework7Vue);

auto.execAjCode(new URL(`../auto/global/robot.global`, import.meta.url).href)
auto.execAjCode(new URL(`../auto/global/robot.menu`, import.meta.url).href)

// Init App
const app = createApp(App);
app.config.globalProperties.$WD = window
window.$vm = app

// Register Framework7 Vue components
registerComponents(app);

// Mount the app
app.mount('#app');